/*** 
* 网页语言转换
* 作者：niker
* 本js用于客户在网站页面选择语言显示，默认是正常显示，即简体显示
* 本程序只在UTF8编码下测试过，不保证其他编码有效
***/

///*** 数组文件地址 ***/
var arrPath = new Array("25Eva.js", "23Cosco.js", "24Cosco.js", "00HomePage.js", "01KPI.js", "02OA.js", "03Project.js", "04Begin.js", "05Design.js", "06CallBids.js", "07InvestCtrl.js", "08Build.js", "09Progress.js", "10ERP.js"
                    , "11FundPlan.js", "12FundPlan2.js", "13Cont.js", "14HR.js", "15QC.js"
                    , "16HSE.js", "17File.js", "18Resource.js", "19End.js", "20Dict.js"
                    , "21Workflow.js", "22System.js");
/*** 数组名(前缀) ***/
var arrName = new Array("Eva", "CosA", "CosB", "HOpa", "ZHfx", "OA", "ZHgh", "XMqq", "SJgl"
                    , "ZBgl", "TZkz", "SGxc", "JDgl", "WZgl"
                    , "ZJjh", "ZJjhC", "Cont", "RLzy", "ZLgl"
                    , "AQgl", "DAgl", "ZYwh", "JGgl", "SJzd"
                    , "LCsz", "PTgl");

pushJs();
/*** 数组js注入到页面 ***/
function pushJs() {
    var content = document.getElementsByTagName( "head" )[0];
    for ( var i = 0; i < arrPath.length; i++ ) {
        var arrJs = document.createElement( "script" );
        arrJs.setAttribute( "type", "text/javascript" );
        arrJs.setAttribute( "src", "/A_OPM/JsPath/MultiLang/" + arrPath[i] );
        content.insertBefore( arrJs, content.firstChild );
    }
}

var chk = 0; /*** 检查翻译数组的配置，等于1为检查模式，其他为不检查 ***/
var kouCi = 0; /*** 抠词的配置，等于1为抠词模式，其他为不抠词 ***/
var strNowLine = 10; /*** 抠词的每行个数 ***/
var strNow = ""; var strNowSum = 0;
/***  以下参数大部分可以更改 ***/
/*** s = simplified 简体中文 t = traditional 繁体中文 n = normal 正常显示 ***/
var zh_default = 'n'; /*** 默认语言，请不要改变 ***/
var zh_choose = 'n'; /*** 当前选择 ***/
var zh_expires = 30; /*** cookie过期天数 ***/
var zh_class = 'zh_click'; /*** 链接的class名，id为class + s/t/n 之一 ***/
var zh_style_active = 'font-weight:bold; color:green;'; /*** 当前选择的链接式样 ***/
var zh_style_inactive = 'color:blue;'; /*** 非当前选择的链接式样 ***/
var zh_browserLang = ''; /*** 浏览器语言 ***/
var zh_autoLang_t = true; /*** 浏览器语言为繁体时自动进行操作 ***/
var zh_autoLang_s = false; /*** 浏览器语言为简体时自动进行操作 ***/
var zh_autoLang_en = true; /*** 浏览器语言为英语自动进行翻译 ***/
var zh_autoLang_checked = 0; /*** 检测浏览器次数,第一次写cookie为1,提示后为2,今后将不再提示 ***/

/*** 判断浏览器语言的正则,ie为小写,ff为大写 ***/
var zh_langReg_t = /^zh-tw|zh-hk$/i;
var zh_langReg_s = /^zh-cn$/i;
var zh_langReg_en = /en/i;

/*** 中英对照表,可以自行替换 ***/
var zh_s1 = new Array('新增', '编辑', '删除', '查看', '提交审批', '撤回', '流程状态', '会签单', '待审核流程');
var zh_en1 = new Array('Add', 'Edit', 'Del', 'View', 'Submit', 'withdraw', 'Process state', 'Audit state', 'Wait approve');
var zh_s2 = new Array( '关闭', '打印', '查询', '保存', '取消', '返回', '导出Excel', '关闭标签', '关闭其它标签', '关闭全部标签' );
var zh_en2 = new Array( 'Close', 'Print', 'Search', 'Save', 'Cancel', 'Return', 'Export Excel', 'Close this tab', 'Close other tabs', 'Close all tabs' );
var zh_s3 = new Array( '确定', '确认对话框', '备注', '说明', '权限', '上传', '批量上传', '展开树菜单', '折叠树菜单', '其它模块' );
var zh_en3 = new Array( 'Confirm', 'ConfirmDialog', 'Remark', 'Remark', 'Assign Privileges', 'Upload', 'Uploads', 'Expand', 'Fold', 'Other modules' );
var zh_s4 = new Array( '批量下载', '附  件', '附件', '基本内容', '基本信息', '文  件', '备  注', '浏览...', '对不起,该Demo版无此权限！', '全部合计' );
var zh_en4 = new Array('Downloads', 'Attachments', 'Attachments', 'BasicContent', 'BasicInfo', 'File', 'Remark', 'View', 'Sorry, this version of Demo does not have this permission!', 'Summary');
var zh_s5 = new Array( '确定要删除吗', '转到', '名称', '首页', '展开高级查询', '折叠高级查询', '确定要退出系统吗？', '请选择', '收件人', '使用人' );
var zh_en5 = new Array( 'DELETE after confirmation', 'Go To', 'Name', 'HomePage', 'Open High Search', 'Expand High Search', 'Are you sure to exit the system?', 'Select', 'Addressee', 'Use personnel' );
var zh_s6 = new Array( '序号', '附件名称', '创建日期', '创建人', '流程状态', '查看会签单', '流程撤回', '节点名称'
                    , '送审时间', '审核意见', '审核人', '审批结果', '审批时间', '申请人', '申请时间', '正在加载核心组件...' );
var zh_en6 = new Array( 'NO.', 'FileName', 'AddDate', 'AddUser', 'FlowLog', 'SeeFlow', 'FlowRecall', 'NodeName'
                    , 'SendTime', 'AuditFeedback', 'AuditUser', 'AuditResult', 'AuditTime', 'ApplyUser', 'ApplyTime', 'Core Components Loading...');
var zh_s7 = new Array('开 始', '结 束', '开始', '结束', '用户名不能为空。', '密码不能为空。', '对不起！用户名或者密码输入错误，请重新输入!','提示对话框');
var zh_en7 = new Array('Start', 'End', 'Start', 'End', 'The username can not be empty.', 'The password can not be empty.', 'I\'m sorry. The user name or password is incorrectly entered, please reenter it!', 'AlertDialog');
var zh_s = zh_s1.concat(zh_s2, zh_s3, zh_s4, zh_s5, zh_s6, zh_s7);
var zh_en = zh_en1.concat(zh_en2, zh_en3, zh_en4, zh_en5, zh_en6, zh_en7);
var zh_tw = new Array(); /*** tranditional繁体 ***/

String.prototype.tran = function () {
    var s1, s2;
    if ( zh_choose == 't' ) {
        s1 = zh_s;
        s2 = zh_tw;
    }
    else if ( zh_choose == 'en' ) {
        s1 = zh_s;
        s2 = zh_en;
    }
    else if ( zh_choose == 's' ) {
        s1 = zh_tw;
        s2 = zh_s;
    } else {
        return this;
    }
    var a = this;
    var pattern1 = /[\u4e00-\u9fa5]+/g; /*** 至少包含一个中文字符 ***/
    var pattern2 = /(^\u663e\u793a\s([0-9]\d*)\s(-)\s([0-9]\d*))|(\u5171\s([0-9]\d*)\s\u6761$)|(([0-9]\d*)\u6761$)/;
    var pattern3 = /^\u5171\s([1-9]\d*)\s\u9875$/; /*** 共*页 ***/
    var pattern4 = /^(\u663e\u793a\u4ece([0-9]\d*)\u5230([0-9]\d*))|(\u603b\s([0-9]\d*)\s\u6761)|(\u6bcf\u9875\u663e\u793a(：)([0-9]\d*))/;
    pattern1.lastIndex = 0;
    pattern2.lastIndex = 0;
    pattern3.lastIndex = 0;
    pattern4.lastIndex = 0;
    if ( pattern1.test( a ) ) {
        var traned = false;
        var thistxt = myTrim( this.replace( /(^:)|(^：)|(:$)|(：$)|(？$)/, '' ) );

        if ( pattern2.test( thistxt ) ) {
            if ( 'en' == zh_choose && !traned ) {
                a = this.replace( "显示", "Displaying" ).replace( "共", "" ).replace( "条", "items total" );
                traned = true;
            }
        }
        else if ( pattern3.test( thistxt ) ) {
            if ( 'en' == zh_choose && !traned ) {
                a = this.replace( "共", "" ).replace( "页", "Pages total" );
                traned = true;
            }
        }
        else if ( pattern4.test( thistxt ) ) {
            if ( 'en' == zh_choose && !traned ) {
                a = this.replace( "显示", "Displaying " ).replace( "从", "form " ).replace( "到", " to " ).replace( "总", "" ).replace( "条", "items total" ).replace( "每页显示", "perpage" );
                traned = true;
            }
        }

        else {
            /*** 抠词 ***/
            if ( kouCi === 1 ) {
                pattern1.lastIndex = 0;
                if ( '' != thistxt && -1 == s2.indexOf( thistxt ) && -1 == s1.indexOf( thistxt )
                    && -1 == ( "," + strNow ).indexOf( "," + thistxt + "," ) ) {
                    if ( 0 != strNowSum && 0 == strNowSum % strNowLine ) {
                        strNow += "\r\n";
                    }
                    strNow += thistxt + ",";
                    strNowSum += 1;
                }
            }
            var i = s1.indexOf( thistxt.toString() );
            if ( i > -1 && s2[i] ) {
                a = this.replace( thistxt, s2[i] );
                traned = true;
            }
        }
        if ( 't' == zh_choose && !traned ) {
            s1 = '皑蔼碍爱翱袄奥坝罢摆败颁办绊帮绑镑谤剥饱宝报鲍辈贝钡狈备惫绷笔毕毙闭边编贬变辩辫鳖瘪濒滨宾摈饼拨钵铂驳卜补参蚕残惭惨灿苍舱仓沧厕侧册测层诧搀掺蝉馋谗缠铲产阐颤场尝长偿肠厂畅钞车彻尘陈衬撑称惩诚骋痴迟驰耻齿炽冲虫宠畴踌筹绸丑橱厨锄雏础储触处传疮闯创锤纯绰辞词赐聪葱囱从丛凑窜错达带贷担单郸掸胆惮诞弹当挡党荡档捣岛祷导盗灯邓敌涤递缔点垫电淀钓调迭谍叠钉顶锭订东动栋冻斗犊独读赌镀锻断缎兑队对吨顿钝夺鹅额讹恶饿儿尔饵贰发罚阀珐矾钒烦范贩饭访纺飞废费纷坟奋愤粪丰枫锋风疯冯缝讽凤肤辐抚辅赋复负讣妇缚该钙盖干赶秆赣冈刚钢纲岗皋镐搁鸽阁铬个给龚宫巩贡钩沟构购够蛊顾剐关观馆惯贯广规硅归龟闺轨诡柜贵刽辊滚锅国过骇韩汉阂鹤贺横轰鸿红后壶护沪户哗华画划话怀坏欢环还缓换唤痪焕涣黄谎挥辉毁贿秽会烩汇讳诲绘荤浑伙获货祸击机积饥讥鸡绩缉极辑级挤几蓟剂济计记际继纪夹荚颊贾钾价驾歼监坚笺间艰缄茧检碱硷拣捡简俭减荐槛鉴践贱见键舰剑饯渐溅涧浆蒋桨奖讲酱胶浇骄娇搅铰矫侥脚饺缴绞轿较秸阶节茎惊经颈静镜径痉竞净纠厩旧驹举据锯惧剧鹃绢杰洁结诫届紧锦仅谨进晋烬尽劲荆觉决诀绝钧军骏开凯颗壳课垦恳抠库裤夸块侩宽矿旷况亏岿窥馈溃扩阔蜡腊莱来赖蓝栏拦篮阑兰澜谰揽览懒缆烂滥捞劳涝乐镭垒类泪篱离里鲤礼丽厉励砾历沥隶俩联莲连镰怜涟帘敛脸链恋炼练粮凉两辆谅疗辽镣猎临邻鳞凛赁龄铃凌灵岭领馏刘龙聋咙笼垄拢陇楼娄搂篓芦卢颅庐炉掳卤虏鲁赂禄录陆驴吕铝侣屡缕虑滤绿峦挛孪滦乱抡轮伦仑沦纶论萝罗逻锣箩骡骆络妈玛码蚂马骂吗买麦卖迈脉瞒馒蛮满谩猫锚铆贸么霉没镁门闷们锰梦谜弥觅绵缅庙灭悯闽鸣铭谬谋亩钠纳难挠脑恼闹馁腻撵捻酿鸟聂啮镊镍柠狞宁拧泞钮纽脓浓农疟诺欧鸥殴呕沤盘庞国爱赔喷鹏骗飘频贫苹凭评泼颇扑铺朴谱脐齐骑岂启气弃讫牵扦钎铅迁签谦钱钳潜浅谴堑枪呛墙蔷强抢锹桥乔侨翘窍窃钦亲轻氢倾顷请庆琼穷趋区躯驱龋颧权劝却鹊让饶扰绕热韧认纫荣绒软锐闰润洒萨鳃赛伞丧骚扫涩杀纱筛晒闪陕赡缮伤赏烧绍赊摄慑设绅审婶肾渗声绳胜圣师狮湿诗尸时蚀实识驶势释饰视试寿兽枢输书赎属术树竖数帅双谁税顺说硕烁丝饲耸怂颂讼诵擞苏诉肃虽绥岁孙损笋缩琐锁獭挞抬摊贪瘫滩坛谭谈叹汤烫涛绦腾誊锑题体屉条贴铁厅听烃铜统头图涂团颓蜕脱鸵驮驼椭洼袜弯湾顽万网韦违围为潍维苇伟伪纬谓卫温闻纹稳问瓮挝蜗涡窝呜钨乌诬无芜吴坞雾务误锡牺袭习铣戏细虾辖峡侠狭厦锨鲜纤咸贤衔闲显险现献县馅羡宪线厢镶乡详响项萧销晓啸蝎协挟携胁谐写泻谢锌衅兴汹锈绣虚嘘须许绪续轩悬选癣绚学勋询寻驯训讯逊压鸦鸭哑亚讶阉烟盐严颜阎艳厌砚彦谚验鸯杨扬疡阳痒养样瑶摇尧遥窑谣药爷页业叶医铱颐遗仪彝蚁艺亿忆义诣议谊译异绎荫阴银饮樱婴鹰应缨莹萤营荧蝇颖哟拥佣痈踊咏涌优忧邮铀犹游诱舆鱼渔娱与屿语吁御狱誉预驭鸳渊辕园员圆缘远愿约跃钥岳粤悦阅云郧匀陨运蕴酝晕韵杂灾载攒暂赞赃脏凿枣灶责择则泽贼赠扎札轧铡闸诈斋债毡盏斩辗崭栈战绽张涨帐账胀赵蛰辙锗这贞针侦诊镇阵挣睁狰帧郑证织职执纸挚掷帜质钟终种肿众诌轴皱昼骤猪诸诛烛瞩嘱贮铸筑驻专砖转赚桩庄装妆壮状锥赘坠缀谆浊兹资渍踪综总纵邹诅组钻致钟么为只凶准启板里雳余链泄';
            s2 = '皚藹礙愛翺襖奧壩罷擺敗頒辦絆幫綁鎊謗剝飽寶報鮑輩貝鋇狽備憊繃筆畢斃閉邊編貶變辯辮鼈癟瀕濱賓擯餅撥缽鉑駁蔔補參蠶殘慚慘燦蒼艙倉滄廁側冊測層詫攙摻蟬饞讒纏鏟産闡顫場嘗長償腸廠暢鈔車徹塵陳襯撐稱懲誠騁癡遲馳恥齒熾沖蟲寵疇躊籌綢醜櫥廚鋤雛礎儲觸處傳瘡闖創錘純綽辭詞賜聰蔥囪從叢湊竄錯達帶貸擔單鄲撣膽憚誕彈當擋黨蕩檔搗島禱導盜燈鄧敵滌遞締點墊電澱釣調叠諜疊釘頂錠訂東動棟凍鬥犢獨讀賭鍍鍛斷緞兌隊對噸頓鈍奪鵝額訛惡餓兒爾餌貳發罰閥琺礬釩煩範販飯訪紡飛廢費紛墳奮憤糞豐楓鋒風瘋馮縫諷鳳膚輻撫輔賦複負訃婦縛該鈣蓋幹趕稈贛岡剛鋼綱崗臯鎬擱鴿閣鉻個給龔宮鞏貢鈎溝構購夠蠱顧剮關觀館慣貫廣規矽歸龜閨軌詭櫃貴劊輥滾鍋國過駭韓漢閡鶴賀橫轟鴻紅後壺護滬戶嘩華畫劃話懷壞歡環還緩換喚瘓煥渙黃謊揮輝毀賄穢會燴彙諱誨繪葷渾夥獲貨禍擊機積饑譏雞績緝極輯級擠幾薊劑濟計記際繼紀夾莢頰賈鉀價駕殲監堅箋間艱緘繭檢堿鹼揀撿簡儉減薦檻鑒踐賤見鍵艦劍餞漸濺澗漿蔣槳獎講醬膠澆驕嬌攪鉸矯僥腳餃繳絞轎較稭階節莖驚經頸靜鏡徑痙競淨糾廄舊駒舉據鋸懼劇鵑絹傑潔結誡屆緊錦僅謹進晉燼盡勁荊覺決訣絕鈞軍駿開凱顆殼課墾懇摳庫褲誇塊儈寬礦曠況虧巋窺饋潰擴闊蠟臘萊來賴藍欄攔籃闌蘭瀾讕攬覽懶纜爛濫撈勞澇樂鐳壘類淚籬離裏鯉禮麗厲勵礫曆瀝隸倆聯蓮連鐮憐漣簾斂臉鏈戀煉練糧涼兩輛諒療遼鐐獵臨鄰鱗凜賃齡鈴淩靈嶺領餾劉龍聾嚨籠壟攏隴樓婁摟簍蘆盧顱廬爐擄鹵虜魯賂祿錄陸驢呂鋁侶屢縷慮濾綠巒攣孿灤亂掄輪倫侖淪綸論蘿羅邏鑼籮騾駱絡媽瑪碼螞馬罵嗎買麥賣邁脈瞞饅蠻滿謾貓錨鉚貿麽黴沒鎂門悶們錳夢謎彌覓綿緬廟滅憫閩鳴銘謬謀畝鈉納難撓腦惱鬧餒膩攆撚釀鳥聶齧鑷鎳檸獰甯擰濘鈕紐膿濃農瘧諾歐鷗毆嘔漚盤龐國愛賠噴鵬騙飄頻貧蘋憑評潑頗撲鋪樸譜臍齊騎豈啓氣棄訖牽扡釺鉛遷簽謙錢鉗潛淺譴塹槍嗆牆薔強搶鍬橋喬僑翹竅竊欽親輕氫傾頃請慶瓊窮趨區軀驅齲顴權勸卻鵲讓饒擾繞熱韌認紉榮絨軟銳閏潤灑薩鰓賽傘喪騷掃澀殺紗篩曬閃陝贍繕傷賞燒紹賒攝懾設紳審嬸腎滲聲繩勝聖師獅濕詩屍時蝕實識駛勢釋飾視試壽獸樞輸書贖屬術樹豎數帥雙誰稅順說碩爍絲飼聳慫頌訟誦擻蘇訴肅雖綏歲孫損筍縮瑣鎖獺撻擡攤貪癱灘壇譚談歎湯燙濤縧騰謄銻題體屜條貼鐵廳聽烴銅統頭圖塗團頹蛻脫鴕馱駝橢窪襪彎灣頑萬網韋違圍爲濰維葦偉僞緯謂衛溫聞紋穩問甕撾蝸渦窩嗚鎢烏誣無蕪吳塢霧務誤錫犧襲習銑戲細蝦轄峽俠狹廈鍁鮮纖鹹賢銜閑顯險現獻縣餡羨憲線廂鑲鄉詳響項蕭銷曉嘯蠍協挾攜脅諧寫瀉謝鋅釁興洶鏽繡虛噓須許緒續軒懸選癬絢學勳詢尋馴訓訊遜壓鴉鴨啞亞訝閹煙鹽嚴顔閻豔厭硯彥諺驗鴦楊揚瘍陽癢養樣瑤搖堯遙窯謠藥爺頁業葉醫銥頤遺儀彜蟻藝億憶義詣議誼譯異繹蔭陰銀飲櫻嬰鷹應纓瑩螢營熒蠅穎喲擁傭癰踴詠湧優憂郵鈾猶遊誘輿魚漁娛與嶼語籲禦獄譽預馭鴛淵轅園員圓緣遠願約躍鑰嶽粵悅閱雲鄖勻隕運蘊醞暈韻雜災載攢暫贊贓髒鑿棗竈責擇則澤賊贈紮劄軋鍘閘詐齋債氈盞斬輾嶄棧戰綻張漲帳賬脹趙蟄轍鍺這貞針偵診鎮陣掙睜猙幀鄭證織職執紙摯擲幟質鍾終種腫衆謅軸皺晝驟豬諸誅燭矚囑貯鑄築駐專磚轉賺樁莊裝妝壯狀錐贅墜綴諄濁茲資漬蹤綜總縱鄒詛組鑽緻鐘麼為隻兇準啟闆裡靂餘鍊洩';
            a = '';
            for ( var i = 0; i < this.length; i++ ) {
                var c = this.charAt( i );
                var p = s1.indexOf( c );
                a += p < 0 ? c : s2.charAt( p );
            }
        }
    }
    return a;
}
function setCookie( name, value ) {
    var argv = setCookie.arguments;
    var argc = setCookie.arguments.length;
    var expires = ( argc > 2 ) ? argv[2] : null;
    if ( expires != null ) {
        var LargeExpDate = new Date();
        LargeExpDate.setTime( LargeExpDate.getTime() + ( expires * 1000 * 3600 * 24 ) );
    }
    /*** console.log( "setCookie:" + name + "=" + escape( value ) ); ***/
    document.cookie = name + "=" + escape( value ) + ( ( expires == null ) ? "" : ( "; expires=" + LargeExpDate.toGMTString() ) ) + "; path=/";
}
function getCookie( Name ) {
    var search = Name + "=";
    if ( document.cookie.length > 0 ) {
        offset = document.cookie.indexOf( search );
        if ( offset != -1 ) {
            offset += search.length;
            end = document.cookie.indexOf( ";", offset );
            if ( end == -1 ) {
                end = document.cookie.length;
            }
            return unescape( document.cookie.substring( offset, end ) );
        } else {
            return '';
        }
    }
}
function zh_tranBody( obj ) {
    var o = ( typeof ( obj ) == "object" ) ? obj.childNodes : document.body.childNodes;
    for ( var i = 0; i < o.length; i++ ) {
        var c = o.item( i );
        if ( '||BR|HR|TEXTAREA|SCRIPT|'.indexOf( "|" + c.tagName + "|" ) > 0 ) continue;
        if ( c.className == zh_class ) {
            if ( c.id == zh_class + '_' + zh_choose ) {
                c.setAttribute( 'style', zh_style_active );
                c.style.cssText = zh_style_active;
            } else {
                c.setAttribute( 'style', zh_style_inactive );
                c.style.cssText = zh_style_inactive;
            }
            continue;
        }
        if ( c.title != '' && c.title != null ) {
            c.title = c.title.tran();
        }
        if ( c.alt != '' && c.alt != null ) {
            c.alt = c.alt.tran();
        }
        if ( c.tagName == "INPUT" && c.value != '' && c.type != 'text' && c.type != 'hidden' && c.type != 'password' ) {
            c.value = c.value.tran();
        }
        if ( c.nodeType == 3 ) {
            c.data = c.data.tran();
        } else {
            zh_tranBody( c );
        }
    }
}
function zh_tran( go ) {
    if ( go ) zh_choose = go;
    setCookie( 'zh_choose', zh_choose, zh_expires );
    if ( go != 'n' ) {
        zh_tranBody();
    }
}
function zh_getLang() {
    if ( getCookie( 'zh_choose' ) ) {
        zh_choose = getCookie( 'zh_choose' );
        return true;
    }
    if ( !zh_autoLang_t && !zh_autoLang_s && !zh_autoLang_en ) {
        return false;
    }
    if ( getCookie( 'zh_autoLang_checked' ) ) {
        return false;
    }
    if ( navigator.language ) {
        zh_browserLang = navigator.language;
    } else if ( navigator.browserLanguage ) {
        zh_browserLang = navigator.browserLanguage;
    }
    if ( zh_autoLang_t && zh_langReg_t.test( zh_browserLang ) ) {
        zh_choose = 't';
    } else if ( zh_autoLang_s && zh_langReg_s.test( zh_browserLang ) ) {
        zh_choose = 's';
    } else if ( zh_autoLang_en && zh_langReg_en.test( zh_browserLang ) ) {
        zh_choose = 'en';
    }
    setCookie( 'zh_choose', zh_choose, zh_expires );
    if ( zh_choose == zh_default ) {
        return false;
    }
    return true;
}
function zh_init() {
    zh_getLang();
    if ( 'en' == zh_choose && -1 != location.href.indexOf( "/sysExt/About.aspx" ) ) {
        setTimeout( function () { var c = document.getElementsByTagName( 'img' ); c.item( 1 ).src = "/images/EnImg/justwin.png"; }, 20 );
    }
    if ( zh_choose != zh_default ) {
        /*** alert('zh_choose:'+ zh_choose + ',zh_default:' + zh_default ); ***/
        if ( window.onload ) {
            window.onload_before_zh_init = window.onload;
            window.onload = function () {
                setTimeout( "zhArr()", 10 );
                setTimeout( "zhUnion()", 20 );
                setTimeout( function () { if ( 1 === kouCi && '' != strNow ) console.log( strNow.replace( /&/g, '' ) ); }, 2000 );
                document.onclick = function () {
                    var zhclk = setInterval( "zhUnion()", 100 );
                    setTimeout( function () {
                        clearInterval( zhclk );
                        if ( 1 === kouCi && '' != strNow ) console.log( strNow );
                    }, 5000 );
                };
            };
            window.onload_before_zh_init();
        } else {
            window.onload = function () {
                setTimeout( "zhArr()", 10 );
                setTimeout( "zhUnion()", 20 );
                setTimeout( function () { if ( 1 === kouCi && '' != strNow ) console.log( strNow.replace( /&/g, '' ) ); }, 2000 );
                document.onclick = function () {
                    var zhclk = setInterval( "zhUnion()", 100 );
                    setTimeout( function () {
                        clearInterval( zhclk );
                        if ( 1 === kouCi && '' != strNow ) console.log( strNow );
                    }, 5000 );
                };
            };
        }
    }
}
zh_init();

/*** 去除字符串前后空格 ***/
function myTrim( x ) {
    return x.replace( /^\s+|\s+$/gm, '' );
}
function zhDiv() {
    var sp2 = document.getElementsByTagName( "div" );
    for ( var i = 0; i < sp2.length; i++ ) {
        var cla = myTrim( sp2.item( i ).className );
        if (cla == 'VHead' || cla == 'x-form-display-field list-lable x-column' || cla == 'x-panel-header x-unselectable'
        || cla == 'l-panel-header' || cla == 'x-grid3-row x-grid3-row-last mygrid-row-summary'
        || cla == 'x-window-body' || cla == 'title' || cla == 'l-dialog-title' ||cla== 'x-grid3-cell-inner x-grid3-col-name'
        || cla == 'word_title' || cla == 'x-form-display-field inline x-column' || cla == 'header'
        || cla == 'x-window-tr' || cla == 'x-window x-window-plain x-window-dlg' || cla == 'x-panel-header x-unselectable'
        || cla == 'l-panel-topbar' || cla == 'x-panel frmlblTitle x-panel-noborder' || cla == 'l-dialog-content'
        || cla == 'x-grid3-header' || cla == 'x-form-display-field view_title' || cla == 'l-dialog-btn-inner'
        || cla == 'x-tab-strip-wrap' || cla == 'x-menu x-menu-floating x-layer' || cla == 'mini-panel-title'
        || cla == 'mini-grid-columns' || cla == 'x-form-display-field x-column' || cla == 'mini-messagebox-buttons'
        || cla == 'l-bar-group  l-bar-message' || cla == 'x-form-display-field x-box-item' || cla == "datagrid-cell datagrid-cell-c1-TaskName" || cla == "datagrid-cell datagrid-cell-c1-QuantityUnit" || cla == "datagrid-cell datagrid-cell-c1-Quantity" || cla == "datagrid-cell datagrid-cell-c1-ReportSumNum"
        || cla == "datagrid-cell datagrid-cell-c1-UnitPrice" || cla == "datagrid-cell datagrid-cell-c1-IsType" || cla == "datagrid-cell datagrid-cell-c1-LaiYuan" || cla == "x-grid3-hd-inner x-grid3-hd-Deptauditor"
        || cla == 'x-panel frmlblTitle x-panel-noborder x-box-item' || cla == 'Text_tab' || cla == "view-title" || cla == 'view-title1' || cla == 'l-dialog-content l-dialog-content-noimage' || cla == 'x-form-element' || cla == 'l-text-label' || cla == 'datagrid-cell datagrid-cell-c1-TaskCode' || cla == 'datagrid-cell datagrid-cell-c1-OrigCode'
        || cla == 'datagrid-cell datagrid-cell-c1-ProjectDescription' || cla == 'datagrid-cell datagrid-cell-c1-AdjustedQualitity' || cla == 'datagrid-cell datagrid-cell-c1-Sumtotal' || cla == 'datagrid-cell datagrid-cell-c1-Remark' || cla == 'datagrid-cell datagrid-cell-c1-isSign'
        || ( sp2.item( i ).attributes["id"] ? sp2.item( i ).attributes["id"].value : "" ) == 'yincang' ) {
            var c = sp2.item( i );
            zh_tranBody( c );
        }
    }
}
function zhLabel() {
    var sp2 = document.getElementsByTagName( "label" );
    for ( var i = 0; i < sp2.length; i++ ) {
        var cla = myTrim( sp2.item( i ).className );
        if ( cla == "x-form-item-label" || cla == "x-form-cb-label" ) {
            var c = sp2.item( i );
            zh_tranBody( c );
        }
    }
}
function zhButton() {
    var sp2 = document.getElementsByTagName( "button" );
    for ( var i = 0; i < sp2.length; i++ ) {
        var c = sp2.item( i );
        zh_tranBody( c );
    }
}
function zhTable() {
    var sp2 = document.getElementsByTagName( "table" );
    for ( var i = 0; i < sp2.length; i++ ) {
        var cla = myTrim( sp2.item( i ).className );
        if ( cla == "x-toolbar-ct" || cla == 'l-grid-header-table' || myTrim( sp2.item( i ).rows[0].className ) == 'x-grid3-hd-row' || sp2.item( i ).rows[0].className == 'mini-grid-table' ) {
            var c = sp2.item( i );
            zh_tranBody( c );
        }
    }
}

function zhTd() {
    var sp2 = document.getElementsByTagName( "td" );
    for ( var i = 0; i < sp2.length; i++ ) {
        var cla = myTrim( sp2.item( i ).className );
        if (cla == "VBigTitle" || cla == 'VTitle' || cla == 'VTitles' || cla == 'texts' || cla == 'mini-messagebox-content-text' || cla == "view-tdname" || cla == "view-tdbigname" || cla=="view-tdname kuan") {
            var c = sp2.item( i );
            zh_tranBody( c );
        }
    }
}
function zhSpan() {
    var sp2 = document.getElementsByTagName("span");
    for (var i = 0; i < sp2.length; i++) {
        var cla = myTrim(sp2.item(i).className);
        if (cla == "translate_span" || cla == "fontname" || cla == "ext-mb-text") {
            var c = sp2.item(i);
            zh_tranBody(c);
        }
    }
}
function zhTh() {
    var sp2 = document.getElementsByTagName("th");
    for (var i = 0; i < sp2.length; i++) {
        var cla = myTrim(sp2.item(i).className);
        if (cla == "translate_th" ) {
            var c = sp2.item(i);
            zh_tranBody(c);
        }
    }
}
/*** 组合翻译数组 ***/
function zhArr() {

    if ( 1 === chk ) check( "zh" ); /*** 检查数组 ***/
    for ( var i = 0; i < arrName.length; i++ ) {
        if ( arrName[i] ) {
            var str = arrName[i];
            zh_s = zh_s.concat( eval( str + "_s" ) );
            zh_tw = zh_tw.concat( eval( str + "_t" ) );
            zh_en = zh_en.concat( eval( str + "_en" ) );
            if ( 1 === chk ) check( str ); /*** 检查数组 ***/
        }
    }
}
function zhUnion() {
    try {
        zhButton();
        zhDiv();
        zhLabel();
        zhTable();
        zhTd();
        zhSpan();
        zhTh();
    }
    catch ( ex ) { }
}

function checkArr( s, it ) {
    var str1 = "", str2 = s.toString() + "有问题:", str3 = "有问题:";
    var sum = 0;
    try {
        for ( var i = 1; i < it + 1; i++ ) {
            /*** str1 += s.toString() + i + ":"; ***/
            var len = eval( s.toString() + i ).length;
            var len_s = eval( s.toString().replace( "_en", "_s" ) + i ).length;
            str1 += len + ",";
            if ( len != len_s ) {
                str2 += s.toString() + i + ":" + len + ",";
                str3 += i + ",";
                sum += 1;
            }
        }
        var str = str1 + "\r\n";
        if ( 0 != sum ) str += str2 + "\r\n" + str3 + "\r\n";
        else str = "没问题";
        return str;
    }
    catch ( ex ) {
        var str = str1 + "\r\n";
        if ( 0 != sum ) str += str2 + "\r\n" + str3 + "\r\n";
        else str = "没问题";
        return str;
    }
}
function check( st, it ) {
    it = it ? it : 1000;
    setTimeout( function () {
        console.log( st + "_en:" + checkArr( st + "_en", it ) );
    }, 2000 );
}
//App审核流程图片翻译
function imgfan() {
    var imgcount = $(".FlowStateImg").length;
    for (var i = 0; i < imgcount; i++) {
        var a = $(".FlowStateImg:eq(" + i + ")").attr("src");
        $(".FlowStateImg").css("width", "60px");
        $(".FlowStateImg").css("height", "25px");
        $(".FlowStateImg").css("margin-right", "10px");
        if (a == "/App/AppV3/img/stamp/yishenhe.png") {
            $(".FlowStateImg:eq(" + i + ")").attr("src", "/images/EnImg/audit/yishenhe.png");
        } else if (a == "/App/AppV3/img/stamp/weishenhe.png") {
            $(".FlowStateImg:eq(" + i + ")").attr("src", "/images/EnImg/audit/weishenhe.png");
        } else if (a == "/App/AppV3/img/stamp/shenhezhong.png") {
            $(".FlowStateImg:eq(" + i + ")").attr("src", "/images/EnImg/audit/shenhezhong.png");
        } else if (a == "/App/AppV3/img/stamp/weitijiao.png") {
            $(".FlowStateImg:eq(" + i + ")").attr("src", "/images/EnImg/audit/weitijiao.png");
        } else if (a == "/App/AppV3/img/stamp/bohui.png") {
            $(".FlowStateImg:eq(" + i + ")").attr("src", "/images/EnImg/audit/bohui.png");
        } else if (a === "/App/AppV3/img/stamp/chongbao.png") {
            $(".FlowStateImg:eq(" + i + ")").attr("src", "/images/EnImg/audit/chongbao.png");
        }
    } 
}